This is an automated email from the ASF dual-hosted git repository.

jiafengzheng pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/doris-spark-connector.git


The following commit(s) were added to refs/heads/master by this push:
     new b0329b7  add tips for Mac OS users in case meeting getopt error (#45)
b0329b7 is described below

commit b0329b774f44594965062805b0b0c6579aee6b13
Author: timey <yanyant...@outlook.com>
AuthorDate: Tue Sep 6 16:37:17 2022 +0800

    add tips for Mac OS users in case meeting getopt error (#45)
    
    add tips for Mac OS users in case meeting getopt error
---
 spark-doris-connector/build.sh | 10 ++++++++++
 1 file changed, 10 insertions(+)

diff --git a/spark-doris-connector/build.sh b/spark-doris-connector/build.sh
index 51b206a..58d874f 100755
--- a/spark-doris-connector/build.sh
+++ b/spark-doris-connector/build.sh
@@ -45,6 +45,16 @@ usage() {
   exit 1
 }
 
+# we use GNU enhanced version getopt command here for long option names, 
rather than the original version.
+# check the version of the getopt command before using.
+getopt -T > /dev/null && echo "
+  The GNU version of getopt command is required.
+  On Mac OS, you can use Homebrew to install gnu-getopt: 
+    1. brew install gnu-getopt                  # install gnu-getopt
+    2. GETOPT_PATH=\`brew --prefix gnu-getopt\`   # get the gnu-getopt execute 
path
+    3. export PATH=\"\${GETOPT_PATH}/bin:\$PATH\"         # set gnu-getopt as 
default getopt
+" && exit 1
+
 OPTS=$(getopt \
   -n $0 \
   -o '' \


---------------------------------------------------------------------
To unsubscribe, e-mail: commits-unsubscr...@doris.apache.org
For additional commands, e-mail: commits-h...@doris.apache.org

Reply via email to